Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.update
Class PutAction

    java.lang.Object
      com.saxonica.update.PutAction

All Implemented Interfaces:
  PendingUpdateAction

    public class PutAction

extends java.lang.Object
implements PendingUpdateAction

A saved put() call on the pending update list.

Constructor Summary
`PutAction(NodeInfo node, java.lang.String outputUri)`

Method Summary
`void` | `apply(XPathContext context, java.util.Set affectedRootSet)` Apply the pending update action to the affected nodes
`int` | `getApplyPhase()` Get the phase of operation in which this pending update action is applied.
`NodeInfo` | `getTargetNode()` Get the target node of the update action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutAction

    public PutAction(NodeInfo node,
                     java.lang.String outputUri)

Method Detail

### apply

    public void apply(XPathContext context,
                      java.util.Set affectedRootSet)
               throws XPathException

  Apply the pending update action to the affected nodes

  Specified by:
    `apply` in interface `PendingUpdateAction`
  Parameters:
    `context` - the XPath evaluation context
    `affectedRootSet` - the set of root nodes of trees that have been modified, which this action should add to as necessary
  Throws:
    `XPathException` - if any error occurs applying the update

### getTargetNode

    public NodeInfo getTargetNode()

  Get the target node of the update action

  Specified by:
    `getTargetNode` in interface `PendingUpdateAction`
  Returns:
    the target node, the node to which this update action applies. Returns null in the case of a delete action, which affects multiple nodes.

### getApplyPhase

    public int getApplyPhase()

  Get the phase of operation in which this pending update action is applied. See 3.2.2 upd:applyUpdates, Semantics, rule 2.

  Specified by:
    `getApplyPhase` in interface `PendingUpdateAction`
  Returns:
    the phase of operation, an integer in the range 1 to 5 representing the stages labelled a-e in the specification, or 6 for a PutAction.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.